"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LintFileCommand = void 0;
const types_1 = require("../types");
const llm_1 = require("../llm");
const git_1 = require("../utils/git");
const chalk_1 = __importDefault(require("chalk"));
class LintFileCommand extends types_1.Command {
    async execute() {
        const files = await (0, git_1.gitDiffFiles)();
        if (files.length === 0) {
            console.log(`${chalk_1.default.red('✘')} No files to review, use git add to add files to review`);
            return;
        }
        const handleLLMStart = async () => {
            void 0;
        };
        const handleLLMEnd = async () => {
            void 0;
        };
        const handleLLMError = async () => {
            void 0;
        };
        const handleLLMNewToken = async (token) => {
            process.stderr.write(token);
        };
        await llm_1.LLMLintFile.analyse({
            files,
            config: this.config,
            handleLLMNewToken,
            handleLLMError,
            handleLLMStart,
            handleLLMEnd,
        });
    }
}
exports.LintFileCommand = LintFileCommand;
